### Function

# Dex value_take_object

since: 0.4

#### Declaration [src]

    void
    dex_value_take_object (
      GValue* value,
      DexObject* object
    )

#### Description [src]

Stores the given `DexObject` inside `value`.

This function transfers the ownership of the `object` to the `GValue`.

Available since: 0.4

#### Parameters

`value`

  Type: `GValue`

  A `GValue` initialized with type `DEX_TYPE_OBJECT`.

  The data is owned by the caller of the function.

`object`

  Type: `DexObject`

  A `DexObject`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.